Subject: Re: [Ecrit] Ecrit Digest, Vol 61, Issue 12

From: Geoff Thompson <[email-masked]>
Date: Mon, 15 Feb 2010 11:17:02 -0800

Hannes-

My comments on callback to other than originating device are inserted below.

Geoff Thompson

On 2/14/10 12:00 PM, [email-masked] wrote:
> ----------------------------------------------------------------------
>
> Message: 1
> Date: Sun, 14 Feb 2010 20:28:09 +0200
> From: "Tschofenig, Hannes (NSN - FI/Espoo)"
> 	<[email-masked]>
> Subject: [Ecrit] FW: PSAP Callback: Feedback needed
> To:<[email-masked]>
> Message-ID:
> 	<[email-masked]>
> Content-Type: text/plain;	charset="us-ascii"
>
> FYI: In response to the ECRIT virtual interim meeting I listened to the
> audio recording and tried to make sense out of the discussion. I
> compiled a few questions (see below) that I then distributed to the NENA
> LTD, EENA NG112 technical committee and EENA operations committee, and
> EMTEL mailing list. I hope to get some feedback from there.
>
> Ciao
> Hannes
>
>    
>> -----Original Message-----
>> From: Tschofenig, Hannes (NSN - FI/Espoo)
>> Subject: PSAP Callback: Feedback needed
>>
>> Hi all,
>>
>> To progress the work on PSAP callback in the IETF ECRIT group
>> we are soliciting feedback from a number of groups.
>>
>> A little bit of background first:  When you make an IP-based
>> emergency call to an IP-based PSAP then the PSAP will get two
>> pieces of identity information about the emergency caller:
>>
>>   * Contact-URI: Information that uniquely identifies the
>> device the call came from.
>>   * Address of Record: Long-term contact information
>>
>> Imagine that the communication between the PSAP and the
>> emergency caller gets interrupted prematurely and the PSAP
>> wants to call back to the emergency caller, for example to
>> obtain more information about the incident.
>>
>> The idea of the ongoing PSAP callback work is to allow the
>> emergency call to override call forwarding procedures
>> configured by the emergency caller's phone, do not disturb
>> functionality, etc. so that the call indeed reaches the
>> emergency caller. This includes the ability to disable network
>> based services, such as network based call forwarding, in
>> addition to functionality configured at the phone itself.
>>
>> 1st question: What functionality is available in today's CS networks?
>>
>> 2nd question: Is this useful functionality to have for
>> IP-based emergency services?
>>
>> 3rd question: Do you envision a time-restriction on this capability?
>> Example: only within one hour callbacks from the PSAP are
>> treated differently to normal calls.
>>      
I believe that should be adequate for "automatic" callback.  We have to 
expect that the PSAP logging function will have captured the data 
required to place a callback.  At some point, I believe, we have to 
revert back to whatever is the normal override capabilities of a PSAP 
(without regard to the call history of the device).  It is perfectly 
reasonable to assume that public service entities have some sort of 
privileges in this area.
>> 4th question: Would you expect the call to reach primarily the
>> device that initiated the emergency call?
>>      
Absolutely.
>>
>> 5th question: In some cases the device that was used to
>> originally initiate the call does not respond anymore to a
>> callback (e.g. imagine a fixed line phone that was used to
>> report a fire in a house and is out of order soon afterwards).
>> Since the initial emergency call provided a second contact
>> mechanism (namely the address of record) it could be used by
>> the call taker as well. Should this communication also
>> experience the same type of override privilege as the
>> initially transmitted callback to the emergency caller's device?
>>      
I believe we need to be careful here.
It may be well and good to be able to place a call to a device that was 
near to the calling device when the emergency call was placed.
We do not want the callback to ring at the home of someone who has just 
died in a car crash.
(Providing the home phone number of such a party to the PSAP as 
reference information is an entirely different matter.)
>> Thank you for your time. Your feedback is very valuable to us.
>>
>> Ciao
>> Hannes
>>      
Best regards
     Geoff Thompson